using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace ShapedForms
{
    public partial class SingleForm : ShapedForm
    {
        static readonly SingleForm mInstance = new SingleForm();

        private SingleForm()
        {
            InitializeComponent();

            this.Shape = new RoundRectShape(5);
            this.BorderColor = Color.LightBlue;
            this.BorderWidth = 2;
            this.StartPosition = FormStartPosition.Manual;
            this.Location = new Point(0, 0);
            this.TopLevel = false;
        }

        static SingleForm()
        {
        }

        public static SingleForm Instance
        {
            get
            {
                return mInstance;
            }
        }
    }
}

